import PropTypes from 'ant-design-vue/es/_util/vue-types';
import _extends from 'babel-runtime/helpers/extends';
import { selectProps } from '../Select';

var cascaderProps = _extends({}, selectProps, {
  // 传入的value按照此数量分割即是对应的valueList，如果是0则无法分割，需要遍历搜索
  valueDivideNum: PropTypes.oneOfType([PropTypes.number, PropTypes.string]).def(0),
  // 用于动态加载选项
  loadData: PropTypes.func
});

export default cascaderProps;