"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "DictText", {
  enumerable: true,
  get: function get() {
    return _DictText["default"];
  }
});
Object.defineProperty(exports, "DictTextProps", {
  enumerable: true,
  get: function get() {
    return _types.DictTextProps;
  }
});
exports["default"] = void 0;

var _DictText = _interopRequireDefault(require("./DictText"));

var _types = require("./types");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

_DictText["default"].install = function (Vue, options) {
  if (typeof options === 'function') {
    _DictText["default"].methods.getDictList = options;
  }

  Vue.component(_DictText["default"].name, _DictText["default"]);
};

var _default = _DictText["default"];
exports["default"] = _default;