"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("babel-runtime/helpers/extends"));

var _vueTypes = _interopRequireDefault(require("ant-design-vue/es/_util/vue-types"));

var _table = _interopRequireDefault(require("ant-design-vue/es/table"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var tableProps = (0, _extends2["default"])({}, _table["default"].props, {
  rowKey: _vueTypes["default"].oneOfType([_vueTypes["default"].string, _vueTypes["default"].func]).def('key'),
  data: _vueTypes["default"].func.required,
  pageNum: _vueTypes["default"].number.def(1),
  pageSize: _vueTypes["default"].number.def(10),
  showSizeChanger: _vueTypes["default"].bool.def(true),
  size: _vueTypes["default"].string.def('default'),

  /**
   * alert: {
   *   show: true,
   *   clear: Function
   * }
   */
  alert: _vueTypes["default"].oneOfType([_vueTypes["default"].bool, _vueTypes["default"].object]),
  rowSelection: _vueTypes["default"].object,

  /** @Deprecated */
  showAlertInfo: _vueTypes["default"].bool.def(false),
  showPagination: _vueTypes["default"].oneOfType([_vueTypes["default"].bool, _vueTypes["default"].string]).def('auto'),

  /**
   * enable page URI mode
   *
   * e.g:
   * /users/1
   * /users/2
   * /users/3?queryParam=test
   * ...
   */
  pageURI: _vueTypes["default"].bool.def(false),
  // 是否展示快速跳页
  showQuickJumper: _vueTypes["default"].bool.def(true),
  // 是否需要自动加载第一页
  autoLoad: _vueTypes["default"].bool.def(true)
});
var _default = tableProps;
exports["default"] = _default;