import PropTypes from 'ant-design-vue/es/_util/vue-types';
var dateRangeProps = {
  // 开始日期
  startValue: PropTypes.oneOfType([PropTypes.string, PropTypes.object]).def(''),
  // 结束日期
  endValue: PropTypes.oneOfType([PropTypes.string, PropTypes.object]).def(''),
  // 用于展示的日期格式
  showFormat: PropTypes.string.def('YYYY-MM-DD'),
  // 传入传出的日期格式, 不设置即是moment格式
  valueFormat: PropTypes.string.def('YYYY-MM-DD'),
  // 是否不可编辑
  disabled: PropTypes.bool.def(false),
  // 是否展示时间选择
  showTime: PropTypes.oneOfType([PropTypes.bool, PropTypes.object]).def(false),
  // 不可选的日期判断函数
  disabledDate: PropTypes.func
};
export default dateRangeProps;