import DictSelect from './DictSelect';
import { DictSelectProps } from './types';

DictSelect.install = function (Vue, options) {
  if (typeof options === 'function') {
    DictSelect.methods.getDictList = options;
  }

  Vue.component(DictSelect.name, DictSelect);
};

export default DictSelect;
export { DictSelectProps, DictSelect };