import PropTypes from 'ant-design-vue/es/_util/vue-types';
import PropsTypes from "ant-design-vue/es/_util/vue-types";
var fileUploadProps = {
  // 默认图片
  // value: PropTypes.string.def(''),
  value: PropTypes.oneOfType([PropTypes.string, PropTypes.array]).def(''),
  // 描述
  description: PropTypes.string.def('上传'),
  // oss策略信息
  ossClient: PropTypes.object,
  // 支持上传的最大数量
  maxCount: PropTypes.oneOfType([PropTypes.string, PropTypes.number]).def(1),
  // 每张图片存储大小限制，单位M，默认2M
  maxStoreSize: PropTypes.oneOfType([PropTypes.string, PropTypes.number]).def(2),
  // 上传类型
  listType: PropsTypes.oneOf(['text', 'picture', 'picture-card']).def('picture-card'),
  // 是否需要加密
  needSignature: PropTypes.bool.def(false),
  // 是否要求是正方形的
  needSquare: PropTypes.bool.def(false),
  // 要求是正方形的提示语
  squareMsg: PropTypes.string.def('图片的长度和宽度必须是1:1')
};
export default fileUploadProps;