"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _vueTypes = _interopRequireDefault(require("ant-design-vue/es/_util/vue-types"));

var _vueTypes2 = _interopRequireDefault(require("ant-design-vue/lib/_util/vue-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var fileUploadProps = {
  // 默认图片
  // value: PropTypes.string.def(''),
  value: _vueTypes["default"].oneOfType([_vueTypes["default"].string, _vueTypes["default"].array]).def(''),
  // 描述
  description: _vueTypes["default"].string.def('上传'),
  // oss策略信息
  ossClient: _vueTypes["default"].object,
  // 支持上传的最大数量
  maxCount: _vueTypes["default"].oneOfType([_vueTypes["default"].string, _vueTypes["default"].number]).def(1),
  // 每张图片存储大小限制，单位M，默认2M
  maxStoreSize: _vueTypes["default"].oneOfType([_vueTypes["default"].string, _vueTypes["default"].number]).def(2),
  // 上传类型
  listType: _vueTypes2["default"].oneOf(['text', 'picture', 'picture-card']).def('picture-card'),
  // 是否需要加密
  needSignature: _vueTypes["default"].bool.def(false),
  // 是否要求是正方形的
  needSquare: _vueTypes["default"].bool.def(false),
  // 要求是正方形的提示语
  squareMsg: _vueTypes["default"].string.def('图片的长度和宽度必须是1:1')
};
var _default = fileUploadProps;
exports["default"] = _default;